{ config, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ./disk-config.nix
    ./optimized_build.nix
    ./power_management.nix
    ./screen_brightness.nix
    ./wifi.nix
  ];

  # Generate with `head -c4 /dev/urandom | od -A none -t x4`
  networking.hostId = "fbd233d8";

  networking.hostName = "neelix"; # Define your hostname.

  time.timeZone = "America/New_York";
  i18n.defaultLocale = "en_US.UTF-8";

  me.secureBoot.enable = false;

  # Early KMS
  boot.initrd.kernelModules = [ "i915" ];

  # Mount tmpfs at /tmp
  boot.tmp.useTmpfs = true;

  me.graphical = true;
  me.graphicsCardType = "intel";

  me.kodi.enable = true;
}
