{
  config,
  lib,
  pkgs,
  ...
}:

let
  alias_tf = pkgs.writeShellScriptBin "tf" ''
    exec ${pkgs.terraform}/bin/terraform "''${@}"
  '';
in
{
  imports = [ ];

  environment.systemPackages = with pkgs; [
    terraform
    alias_tf
  ];

  allowedUnfree = [
    "terraform"
  ];

  environment.persistence."/persist" = lib.mkIf (!config.me.buildingIso) {
    hideMounts = true;
    users.talexander = {
      directories = [
        {
          directory = ".terraform.d";
          user = "talexander";
          group = "talexander";
          mode = "0755";
        }
      ];
    };
  };
}
